Bug 75934 - Cannot expunge anything
Cannot expunge anything
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2002-10-15 00:50 EDT by Philip Wyett
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-15 08:18:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Desktop scrren shot of failure in console and that the app appears in rpm log (302.38 KB, image/png)
2002-10-15 00:51 EDT, Philip Wyett
no flags Details

  None (edit)
Description Philip Wyett 2002-10-15 00:50:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Running 'rpm -e <package name>' returns 'error: package <package name> is not
installed' on ALL 3rd party rpm's installed and ones taken from the Red Hat CD's
and installed manually. This occurs even though checking the rpm log, shows that
the package(s) is installed and I can run or address them.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Manually install a 3rd party app, say 'f-prot' anti-virus.
2. Wait until it appears in the rpm log. This can take a while for some reason.
3. Login as root and try too expunge it with 'rpm -e <package name>'

Actual Results:  Get 'error: package <package name> is not installed' returned
in the terminal.

Expected Results:  It removes the package

Additional info:

This is a real problem and needs to be addressed very quickly.
Comment 1 Philip Wyett 2002-10-15 00:51:38 EDT
Created attachment 80428 [details]
Desktop scrren shot of failure in console and that the app appears in rpm log
Comment 2 Jeff Johnson 2002-10-15 08:18:12 EDT
BTW, what tool is this?

Try doing
	rm -f /var/lib/rpm/__db*
	rpm --rebuilddb

The likeliest failure is that the database is unavailable,
so program assumes packages not found.
Comment 3 Jeff Johnson 2002-10-25 14:50:27 EDT
Closed for lack of input. Reopen if you still care.

Note You need to log in before you can comment on or make changes to this bug.